<?php
/**
 * Language labels for plugin "tx_newloginbox_pi1"
 * 
 * This file is detected by the translation tool.
 */

$LOCAL_LANG = Array (
	'default' => Array (
		'oLabel_header_welcome' => 'User login',
		'oLabel_msg_welcome' => 'Enter your username and password here in order to log in on the website:',
		'oLabel_header_logout' => 'You have logged out.',
		'oLabel_msg_logout' => 'You just logged out from your user session on this website. You can login again or as another user by the form below.',
		'oLabel_header_error' => 'Login failure',
		'oLabel_msg_error' => 'An error occured during login. Most likely you didn\'t enter the username or password correct.
Be certain that you enter them precisely as they are, including upper/lower case.
Another possibility is that cookies might be disabled in your webbrowser.',
		'oLabel_header_success' => 'Login successful',
		'oLabel_msg_success' => 'You are now logged in as \'###USER###\'',
		'oLabel_header_status' => 'Current status',
		'oLabel_msg_status' => 'This is your current status:',
		'cookie_warning' => 'Warning: There is a possibility that cookies are not enabled in your webbrowser! If your login disappears on your next click that is the case and you should enable cookies (or accept cookies from this website) immediately!',
		'username' => 'Username:',
		'password' => 'Password:',
		'login' => 'Login',
		'logout' => 'Logout',
		'send_password' => 'Send password',
		'your_email' => 'Your email:',
		'forgot_password' => 'Forgot your password?',
		'forgot_password_pswmsg' => 'Your password
Hi %s

Your username is "%s"
Your password is "%s"
',
		'forgot_password_no_pswmsg' => 'Your password
Hi %s

We couldn\'t find a username for this email address and so cannot send the password to you. Probably you misspelled the email address (upper/lower case makes a difference) or maybe you even didn\'t register yet?
',
		'forgot_password_enterEmail' => 'Please enter the email address by which you registered your user account. Then press "Send password" and your password will immediately be emailed to you. Make sure to spell your email address correct.',
		'forgot_password_emailSent' => 'Your password has now been sent to the email address %s',
		'forgot_password_backToLogin' => 'Return to login form',
	),
	'dk' => Array (
		'oLabel_header_welcome' => 'Brugerlogin',
		'oLabel_msg_welcome' => 'Indtast dit brugernavn og password her for at logge ind p websitet:',
		'oLabel_header_logout' => 'Du har nu logget ud.',
		'oLabel_msg_logout' => 'Du har netop logget ud fra dit ophold som bruger p dette website. Du kan logge ind igen med formen herunder.',
		'oLabel_header_error' => 'Fejl i login',
		'oLabel_msg_error' => 'Der skete en fejl under login proceduren. Hjst sandsynligt har du ikke indtastet brugernavn og password korrekt.
Vr sikker p, at indtaster dem helt rigtigt inklusiv store og sm bogstaver.
En anden mulighed kan vre, at du har slet \'cookies\' fra i din browser.',
		'oLabel_header_success' => 'Login succesfuldt',
		'oLabel_msg_success' => 'Du er nu logget in som \'###USER###\'',
		'oLabel_header_status' => 'Nuvrende status',
		'oLabel_msg_status' => 'Dette er din nuvrende status:',
		'username' => 'Brugernavn:',
		'password' => 'Password:',
		'login' => 'Log ind',
		'logout' => 'Log ud',
		'send_password' => 'Send password',
		'your_email' => 'Din email:',
		'forgot_password' => 'Har du glemt dit password?',
		'forgot_password_pswmsg' => 'Dit password
Hej %s

Dit brugernavn er "%s"
Dit password er "%s"',
		'forgot_password_no_pswmsg' => 'Dit password
Hej %s

Vi kunne ikke finde et brugernavn tilhrende denne email-adresse og kan derfor ikke sende et password til dig. Du har formentlig stavet din email adresse forkert (store og sm bogstaver betragtes som forskellige) eller ogs har du ikke registreret dig selv endnu?',
		'forgot_password_enterEmail' => 'Indtast venligst den email-adresse som du er registreret med. Tryk derefter "Send password" og du vil straks modtage dit password pr. email. Vr sikker p, at du staver din email adresse rigtigt.',
		'forgot_password_emailSent' => 'Dit password er nu blevet sendt til email adressen %s',
		'forgot_password_backToLogin' => 'Tilbage til login formular',
	),
	'de' => Array (
	),
	'no' => Array (
	),
	'it' => Array (
	),
	'fr' => Array (
	),
	'es' => Array (
	),
	'nl' => Array (
	),
	'cz' => Array (
	),
	'pl' => Array (
	),
	'si' => Array (
	),
	'fi' => Array (
	),
	'tr' => Array (
	),
	'se' => Array (
	),
	'pt' => Array (
	),
	'ru' => Array (
	),
	'ro' => Array (
	),
	'ch' => Array (
	),
);
?>